FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202106011423.p0.git.ecfa2d9 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202106011423.p0.git.ecfa2d9 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=ecfa2d9 OS_GIT_VERSION=4.7.0-202106011423.p0.git.ecfa2d9-ecfa2d9 SOURCE_DATE_EPOCH=1620321575 SOURCE_GIT_COMMIT=ecfa2d959fe2afcbd3e947658d267b085a1b2063 SOURCE_GIT_TAG=v0.0.0-alpha.0-799-gecfa2d95 SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-apiserver-operator 
WORKDIR /go/src/github.com/openshift/cluster-openshift-apiserver-operator
COPY . .
RUN GODEBUG=tls13=1 go build ./cmd/cluster-openshift-apiserver-operator

FROM openshift/ose-base:v4.7.0.20210601.144050
ENV __doozer=update BUILD_RELEASE=202106011423.p0.git.ecfa2d9 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202106011423.p0.git.ecfa2d9 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=ecfa2d9 OS_GIT_VERSION=4.7.0-202106011423.p0.git.ecfa2d9-ecfa2d9 SOURCE_DATE_EPOCH=1620321575 SOURCE_GIT_COMMIT=ecfa2d959fe2afcbd3e947658d267b085a1b2063 SOURCE_GIT_TAG=v0.0.0-alpha.0-799-gecfa2d95 SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-apiserver-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-openshift-apiserver-operator/cluster-openshift-apiserver-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/*_openshift-apiserver-operator_*.crd.yaml manifests/

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-openshift-apiserver-operator" \
        com.redhat.component="ose-cluster-openshift-apiserver-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="openshift-apiserver" \
        release="202106011423.p0.git.ecfa2d9" \
        io.openshift.build.commit.id="ecfa2d959fe2afcbd3e947658d267b085a1b2063" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-openshift-apiserver-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-openshift-apiserver-operator/commit/ecfa2d959fe2afcbd3e947658d267b085a1b2063" \
        version="v4.7.0"

